from enum import unique
from flask_sqlalchemy import SQLAlchemy
from flask import Flask

app = Flask(__name__)

app.config["SQLALCHEMY_DATABASE_URI"] = "sqlite:/// "+ "DB.db"    #配置
app.config["SQLALCHEMY_TRACK_MODIFICATIONS"] = False
app.config["SECRET_KEY"] = "jjjsks"

db = SQLAlchemy(app)   #app作为参数实例化一个sqlalchemy类的对象

class User (db.Model):
    __tablename__="users"  
    id=db.Column(db.Integer,primary_key=True)
    username=db.Column(db.String(32),nullable=False,unique=True)
    password=db.Column(db.String(64),nullable=False)
    token=db.Column(db.String(1024))

class AAA (db.Model):
    __tablename__="aaa"
    id=db.Column(db.Integer,primary_key=True)
    website=db.Column(db.String(128))
    
    def AAA_to_dict():
        get_db=AAA.query.all()
        AAA_dict={
            "id":AAA.id,
            "website":AAA.website
        }

        return AAA_dict


if __name__ == '__main__':
    db.create_all()
    # db.drop_all()
